Rotate API key
POST
/platform/api-keys/{keyId}/rotateRotate an API key, returning a new secret
Authorization
Bearer Authorization<token>
In: header
Path Parameters
keyId*string
API key ID
Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/apikeysv1.RotateApiKeyResponse",
"$ref-value": {
"properties": {
"api_key": {
"$ref": "#/components/schemas/apikeysv1.ApiKey",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"expiring_at": {
"type": "string"
},
"id": {
"type": "string"
},
"last_used": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"project_id": {
"type": "string"
},
"project_name": {
"type": "string"
},
"secret": {
"type": "string"
}
},
"type": "object"
}
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/platform/api-keys/string/rotate"OK
application/json
{
"$ref": "#/components/schemas/apikeysv1.RotateApiKeyResponse",
"$ref-value": {
"properties": {
"api_key": {
"$ref": "#/components/schemas/apikeysv1.ApiKey",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"expiring_at": {
"type": "string"
},
"id": {
"type": "string"
},
"last_used": {
"type": "string"
},
"name": {
"type": "string"
},
"org_id": {
"type": "string"
},
"project_id": {
"type": "string"
},
"project_name": {
"type": "string"
},
"secret": {
"type": "string"
}
},
"type": "object"
}
}
},
"type": "object"
}
}